=== debian/changelog ===
vdr-plugin-skinenigmang (0.1.1-7) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.22)

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Dec 2011 17:16:34 +0100

vdr-plugin-skinenigmang (0.1.1-6) unstable; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 20:11:11 +0200

vdr-plugin-skinenigmang (0.1.1-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.21)

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Sep 2011 18:23:32 +0200

vdr-plugin-skinenigmang (0.1.1-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.20)
  * Standards-Version: 3.9.2
  * Enable Image Magick support (Closes: #625583)

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Aug 2011 15:25:34 +0200

vdr-plugin-skinenigmang (0.1.1-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:05 +0200

vdr-plugin-skinenigmang (0.1.1-2) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.7.17
  * Updated debian/copyright
  * Standards-Version: 3.9.1
  * Switched to debhelper 7 and dropped cdbs

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Apr 2011 17:27:36 +0200

vdr-plugin-skinenigmang (0.1.1-1) unstable; urgency=low

  * New upstream release
  * source/format 1.0

 -- Tobias Grimm <etobi@debian.org>  Thu, 06 May 2010 19:09:09 +0200

vdr-plugin-skinenigmang (0.1.0-3) unstable; urgency=low

  [ Thomas Schmidt ]
  * Standards-Version: 3.8.4
  * Updated debian/copyright

  [ Tobias Grimm]
  * Build-depend on vdr-dev >= 1.6.0-16

 -- Tobias Grimm <etobi@debian.org>  Sun, 04 Apr 2010 15:31:40 +0200

vdr-plugin-skinenigmang (0.1.0-2) unstable; urgency=low

  * Removed non-standard shebang line from debian/rules (Closes: #552655)
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Mon, 09 Nov 2009 00:12:31 +0100

vdr-plugin-skinenigmang (0.1.0-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright
  * Build-depend on libmagick++-dev instead of libmagick++9-dev (Closes: 524592)

 -- Tobias Grimm <etobi@debian.org>  Sun, 03 May 2009 22:37:14 +0200

vdr-plugin-skinenigmang (0.0.6-5) unstable; urgency=low

  * Release for vdrdevel 1.7.6
  * Added ${misc:Depends}
  * Bumped standards version to 3.8.1
  * Updated debian/copyright to our new format
  * Changed section to "video"

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 29 Apr 2009 23:11:05 +0200

vdr-plugin-skinenigmang (0.0.6-4) unstable; urgency=low

  [ Tobias Grimm ]
  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.0

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 19 Jul 2008 18:13:38 +0200

vdr-plugin-skinenigmang (0.0.6-3) unstable; urgency=low

  * Upload to unstable

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 08 Jun 2008 23:55:49 +0200

vdr-plugin-skinenigmang (0.0.6-2) experimental; urgency=low

  [ Thomas Schmidt ]
  * Do not ignore errors in clean target

  [ Tobias Grimm ]
  * Updated debian/watch

 -- Tobias Grimm <tg@e-tobi.net>  Sun, 11 May 2008 13:58:56 +0200

vdr-plugin-skinenigmang (0.0.6-1) experimental; urgency=low

  [ Thomas Schmidt ]
  * New upstream release
  * Build-Depend on vdr-dev (>=1.6.0)
  * Added Homepage field to debian/control
  * Renamed XS-Vcs-* fields to Vcs-* in debian/control
  * Bumped Standards-Version to 3.7.3

 -- Tobias Grimm <tg@e-tobi.net>  Fri, 04 Apr 2008 13:48:13 +0200

vdr-plugin-skinenigmang (0.0.5-10) experimental; urgency=low

  * Force rebuild for vdr 1.5.15

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 18 Feb 2008 21:08:55 +0100

vdr-plugin-skinenigmang (0.0.5-9) unstable; urgency=low

  * Release for vdrdevel 1.5.13

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 16 Jan 2008 10:31:38 +0100

vdr-plugin-skinenigmang (0.0.5-8) unstable; urgency=low

  * Release for vdrdevel 1.5.12

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 20 Nov 2007 23:46:29 +0100

vdr-plugin-skinenigmang (0.0.5-7) unstable; urgency=low

  * Release for vdrdevel 1.5.11

 -- Thomas Günther <tom@toms-cafe.de>  Tue,  6 Nov 2007 23:34:21 +0100

vdr-plugin-skinenigmang (0.0.5-6) unstable; urgency=low

  * Release for vdrdevel 1.5.10

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 16 Oct 2007 23:51:01 +0200

vdr-plugin-skinenigmang (0.0.5-5) unstable; urgency=low

  * Release for vdrdevel 1.5.9

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 28 Aug 2007 01:01:12 +0200

vdr-plugin-skinenigmang (0.0.5-4) unstable; urgency=low

  * Release for vdrdevel 1.5.8

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 23 Aug 2007 01:09:09 +0200

vdr-plugin-skinenigmang (0.0.5-3) unstable; urgency=low

  * Release for vdrdevel 1.5.6

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 14 Aug 2007 01:46:22 +0200

vdr-plugin-skinenigmang (0.0.5-2) unstable; urgency=low

  * Build the plugin with HAVE_IMAGEMAGICK=1
  * Build-Depend on libmagick++9-dev
  * Setup correct path for epgimages in plugin.skinenigmang.conf

 -- Thomas Schmidt <tschmidt@debian.org>  Mon, 16 Jul 2007 14:23:32 +0200

vdr-plugin-skinenigmang (0.0.5-1) unstable; urgency=low

  * Initial release (Closes: #432783)

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 12 Jul 2007 23:27:41 +0200
