=== debian/changelog ===
vdr-plugin-skinenigmang (0.1.2+git20120628-1) unstable; urgency=low

  * New Upstream Snapshot (commit 44e1d4a)
  * Updated debian/copyright

 -- Tobias Grimm <etobi@debian.org>  Fri, 29 Jun 2012 00:18:10 +0200

vdr-plugin-skinenigmang (0.1.2-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Jun 2012 18:25:41 +0200

vdr-plugin-skinenigmang (0.1.1-10) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Apr 2012 23:03:13 +0200

vdr-plugin-skinenigmang (0.1.1-9) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Mar 2012 13:35:53 +0200

vdr-plugin-skinenigmang (0.1.1-8) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.23)

 -- Tobias Grimm <etobi@debian.org>  Sun, 29 Jan 2012 19:05:16 +0100
