=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,6 @@
 override_dh_gencontrol:
 	sh /usr/share/vdr-dev/dependencies.sh
 	dh_gencontrol
+
+get-vcs-snapshot:
+	sh debian/get-vcs-snapshot.sh
