## vdr-plugin-skinenigmang 0.1.2+git20130305

=== debian/changelog ===
vdr-plugin-skinenigmang (0.1.2+git20130305-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:17 +0200

vdr-plugin-skinenigmang (0.1.2+git20130305-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:23 +0100

vdr-plugin-skinenigmang (0.1.2+git20130305-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:44:38 +0100

vdr-plugin-skinenigmang (0.1.2+git20130305-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.40)

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Mar 2013 19:30:18 +0100

vdr-plugin-skinenigmang (0.1.2+git20130305-1) unstable; urgency=low

  * New Upstream Snapshot (commit 0147c0e)
  * Use debhelper 9
  * Build-depend on vdr-dev (>= 1.7.39)

 -- Tobias Grimm <etobi@debian.org>  Tue, 05 Mar 2013 21:53:55 +0100
