=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #export DH_VERBOSE=1
 
 MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=. LOCALEDIR=locale HAVE_IMAGEMAGICK=1
+CXXFLAGS += $(shell pkg-config vdr --variable=cxxflags)
 
 %:
 	dh $@
