## vdr-plugin-skinenigmang 0.1.2+git20150212

=== debian/changelog ===
vdr-plugin-skinenigmang (0.1.2+git20150212-3) unstable; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 23:17:50 +0100

vdr-plugin-skinenigmang (0.1.2+git20150212-2) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.2.0)
  * Standards-Version: 3.9.6

 -- Tobias Grimm <etobi@debian.org>  Fri, 06 Mar 2015 18:35:11 +0100

vdr-plugin-skinenigmang (0.1.2+git20150212-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 73b3116)

 -- Tobias Grimm <etobi@debian.org>  Thu, 12 Feb 2015 02:21:35 +0100

vdr-plugin-skinenigmang (0.1.2+git20130305-6) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.0.6)
  * Standards-Version: 3.9.5

 -- Tobias Grimm <etobi@debian.org>  Sun, 26 Oct 2014 13:12:15 +0100

vdr-plugin-skinenigmang (0.1.2+git20130305-5.1) unstable; urgency=medium

  * NMU
  * Fix FTBFS with newer imagemagick (Closes: #760989).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Tue, 09 Sep 2014 20:32:12 +0200
