=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.0), pkg-config, libmagick++-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.2.0), pkg-config, libmagick++-dev
+Standards-Version: 3.9.6
 Homepage: http://andreas.vdr-developer.org/enigmang
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-skinenigmang.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-skinenigmang.git
