## vdr-plugin-skinenigmang 0.1.2+git20180128

=== debian/changelog ===
vdr-plugin-skinenigmang (0.1.2+git20180128-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS without freetype-config. (Closes: #915353)

 -- Adrian Bunk <bunk@debian.org>  Mon, 31 Dec 2018 18:17:16 +0200

vdr-plugin-skinenigmang (0.1.2+git20180128-2) unstable; urgency=medium

  * VCS moved to salsa.debian.org
  * Build-depend on vdr-dev (>= 2.4.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 19:43:46 +0200

vdr-plugin-skinenigmang (0.1.2+git20180128-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 3362ab0) (Closes: #872494)
  * Added VDR 2.3.2 compatibility patch provided by Frank Neuman
  * Standards-Version: 4.1.2
  * Replaced priority extra with optional

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Jan 2018 16:47:31 +0100
