=== debian/control ===
Source: vdr-plugin-skinenigmang
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.0), pkg-config, libmagick++-dev
Standards-Version: 4.1.2
Homepage: http://andreas.vdr-developer.org/enigmang
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-skinenigmang.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-skinenigmang

Package: vdr-plugin-skinenigmang
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Suggests: vdr-enigmang-icons
Description: Skin plugin for VDR
 "EnigmaNG" is a standalone skin based on the "Enigma" text2skin addon.
