=== debian/changelog ===
vdr-plugin-skinenigmang (0.1.2+git20190720-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:02:03 +0100

vdr-plugin-skinenigmang (0.1.2+git20190720-2) unstable; urgency=medium

  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 14:52:42 +0100

vdr-plugin-skinenigmang (0.1.2+git20190720-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 995b108)
  * Dropped vdr-plugin-skinenigma_min_max_from_stl.patch
  * Use pkg-config for freetype

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Jul 2019 06:00:11 +0200
