=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
 Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.0), pkg-config, libmagick++-dev
-Standards-Version: 4.1.2
+Standards-Version: 4.4.1
 Homepage: http://andreas.vdr-developer.org/enigmang
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-skinenigmang.git
 Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-skinenigmang
