=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 CXXFLAGS += $(shell pkg-config vdr --variable=cxxflags)
 
 %:
-	dh $@
+	dh $@ --with vdrplugin
 
 override_dh_auto_build:
 	dh_auto_build -- all $(MAKE_OPTIONS)
@@ -16,9 +16,5 @@
 	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
 	rm -rf locale libvdr-*.so.*
 
-override_dh_gencontrol:
-	sh /usr/share/vdr-dev/dependencies.sh
-	dh_gencontrol
-
 get-vcs-snapshot:
 	sh debian/get-vcs-snapshot.sh
