=== debian/watch ===
version=2
http://andreas.vdr-developer.org/enigmang/download.html \
  .*/vdr-skinenigmang-(.*).tgz
