=== debian/changelog ===
vdr-plugin-skinenigmang (0.1.5-1) unstable; urgency=medium

  * change to github repo in watch file
  * New upstream version 0.1.5
  * add myself to upoaders
  * replace build-depends pkg-config with pkgconf
  * update patches
  * build with Graphicsmagick (closes: #1079336)
  * fix package build/install

 -- Christoph Martin <martin@uni-mainz.de>  Sat, 08 Feb 2025 13:27:29 +0100

vdr-plugin-skinenigmang (0.1.2+git20190720-4) unstable; urgency=medium

  * Build-depend on vdr 2.6.0 and update standards version to 4.6.0
  * Remove Thomas Günther and Thomas Schmidt from uploaders

 -- Tobias Grimm <etobi@debian.org>  Wed, 12 Jan 2022 21:08:19 +0100

vdr-plugin-skinenigmang (0.1.2+git20190720-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Use a triplet-prefixed pkg-config. (Closes: #932933)

  [ Tobias Grimm ]
  * Depend on debhelper-compat (= 13)
  * Build-Depend on vdr >= 2.4.7
  * Update debian/watch to version 4

 -- Tobias Grimm <etobi@debian.org>  Wed, 15 Dec 2021 18:43:23 +0100
