=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,10 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=. LOCALEDIR=locale HAVE_IMAGEMAGICK=1
-CXXFLAGS += $(shell pkg-config vdr --variable=cxxflags)
+-include /usr/share/dpkg/buildtools.mk
+PKG_CONFIG ?= pkg-config
+MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=. LOCALEDIR=locale HAVE_IMAGEMAGICK=GRAPHICS
+CXXFLAGS += $(shell $(PKG_CONFIG) vdr --variable=cxxflags)
 
 %:
 	dh $@ --with vdrplugin
